Name:			loemu
Version:		0.3.1
%define distsuffix	plf
Release:		%mkrel 3

Summary:	A simple python front-end for various emulators
License:	GPLv2+
Group:		Emulators
URL:		http://loemu.pegueroles.com/
Source0:	http://loemu.pegueroles.com/dists/%{name}-%{version}.tar.gz
Source10:	loemu-32.png
%if %mdkversion < 200900
Source11:	loemu-16.png
Source12:	loemu-48.png
%endif
Source40:	loemu-0.3.0-fr.po.tar.bz2 
Patch0:		loemu-0.3.0-default-config.patch

BuildRequires:	python-devel
# >2.4
BuildRequires:	pygtk2.0-libglade
%if %{mdkversion} >= 200710
BuildRequires:	python-libxslt
%else
BuildRequires:	libxslt-python
%endif
BuildRequires:	unzip
BuildRequires:	intltool

%if %{mdkversion} >= 200710
Requires:	python-libxslt
%else
Requires:	libxslt-python
%endif
Requires:	pygtk2.0-libglade
Suggests:	sdlmame
Suggests:	sdlmame-extra-data
Suggests:	snes9x
#Suggests:	zsnes
#Suggests:	xmame
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Loemu provides a simple frontend for various emulators.

It currently supports game emulation with xmame, sdlmame and snes9x.
But the design of loemu allows the support of more emulators adding specific 
emulator configuration files. 

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q
%patch0 -p0
tar -xvjf %{_sourcedir}/loemu-0.3.0-fr.po.tar.bz2

%build
python setup.py build 

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

#xdg menu
#icon
install -d -m 755 %{buildroot}/%{_iconsdir}
install -m 644 %{_sourcedir}/loemu-32.png %{buildroot}/%{_iconsdir}/loemu.png
#menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-loemu.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Loemu
Comment=%{summary}
Exec=%{_bindir}/loemu
Icon=loemu
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%find_lang %{name}

%if %mdkversion < 200900
#old debian-type menu
#icons
install -d -m 755 %{buildroot}/%{_miconsdir}
install -m 644 %{_sourcedir}/loemu-16.png %{buildroot}/%{_miconsdir}/loemu.png
install -d -m 755 %{buildroot}/%{_liconsdir}
install -m 644 %{_sourcedir}/loemu-48.png %{buildroot}/%{_liconsdir}/loemu.png
#menu item
install -d -m 755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/loemu << EOF
?package(%name): needs="x11" \
section="More Applications/Emulators" \
title="Loemu" \
longtitle="%{summary}" \
command="%{_bindir}/loemu" \
icon="loemu.png" \
xdg="true"
EOF

%post
%{update_menus}

%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}*
%{py_platsitedir}/%{name}-*.egg-info
%{py_platsitedir}/%{name}
%{_datadir}/loemu
%{_iconsdir}/loemu.png
%{_datadir}/applications/mandriva-loemu.desktop
%if %mdkversion < 200900
%{_miconsdir}/loemu.png
%{_liconsdir}/loemu.png
%{_menudir}/loemu
%endif

%clean
rm -rf %{buildroot}

%changelog
* Mon Apr 27 2009 Guillaume Bedot <littletux@zarb.org> 0.3.1-3plf2009.1
- rebuild
- fix "files not in %%lang"
- suggest sdlmame-extra-data

* Tue Oct 21 2008 Guillaume Bedot <littletux@zarb.org> 0.3.1-2plf2009.1
- removed sdlmame related files (catver, nplayers) :
 up-to date version will now be in sdlmame package
- updated patch0 to reflect this change
- rpm spec policy proposal related changes
- drop old README.urpmi.update

* Tue Mar  4 2008 Guillaume Bedot <littletux@zarb.org> 0.3.1-1plf2008.1
- 0.3.1

* Fri Feb  8 2008 Guillaume Bedot <littletux@zarb.org> 0.3.0-2plf2008.1
- nplayers & catver update

* Mon Jan 28 2008 Guillaume Bedot <littletux@zarb.org> 0.3.0-1plf2008.1
- 0.3.0

* Thu Dec 06 2007 Guillaume Bedot <littletux@zarb.org> 0.2.1-2plf2008.1
- fix 2007.0 build

* Tue Nov 27 2007 Guillaume Bedot <littletux@zarb.org> 0.2.1-1plf2008.1
- 0.2.1
- french translation and patch update

* Sat Jul 14 2007 Guillaume Bedot <littletux@zarb.org> 0.2.0-4plf2008.0
- changed the path from the real sdlmame binary to the wrapper
- buildreq intltool

* Sun Jun 24 2007 Guillaume Bedot <littletux@zarb.org> 0.2.0-3plf2008.0
- french translation fixes

* Thu Jun 21 2007 Guillaume Bedot <littletux@zarb.org> 0.2.0-2plf2008.0
- Added a french translation 

* Tue Jun 19 2007 Guillaume Bedot <littletux@zarb.org> 0.2.0-1plf2008.0
- Release 0.2.0
- Updated custom config (added nplayers.ini), warning when updating

* Mon May 21 2007 Guillaume Bedot <littletux@zarb.org> 0.1.1-2plf2008.0
- Req and buildreq fixes
- Custom config : catver.ini + allow cheats

* Wed May 16 2007 Guillaume Bedot <littletux@zarb.org> 0.1.1-1plf2008.0
- First package for PLF
